Open topic with navigation

TIBCO Business Studio™ - BPM Edition 5.4.0

# To Set Restrictions on Primitive Types and Attributes

You can specify restrictions for Primitive Types and Attributes. To do this, in the Properties View for the Primitive Type or Attribute, select the Resource tab and expand the Restrictions.

The restrictions you can specify depend on the type (including subtype where appropriate) of your Attribute or Primitive Type. The following table describes the restrictions you can set for each type.

Type | Property | Description
--- | --- | ---
Boolean | Default Value: | A default value of either True or False.
Date | Default Value: | You can specify a value that should be automatically supplied for the type.
Date Time and Time Zone | Default Value: | Enables a value to be automatically supplied.
Number | Default Value: | You can specify a value that should be automatically supplied for the type.
| Lower Limit: | You can specify the smallest number the type should allow.
| Lower Limit inclusive: | You can specify a lower limit within a range of numbers.
| Sub Type: | Either Floating Point (the default) or Fixed Point.
| Upper Limit: | You can specify the highest number the type should allow.
| Upper Limit Inclusive: | You can specify a higher limit within a range of numbers.
Text | Default Value: | You can specify a value that should be automatically supplied for the type.
| Maximum Length: | The maximum length of the value allowed.
Time | Default Value: | You can specify a value that should be automatically supplied for the type.
URI | None | There are no restrictions for these types.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO Business Studio™ - BPM Edition

Copyright © 2015-2023. Cloud Software Group, Inc. All Rights Reserved.